Bug 201308 - java/openjdk8: Patches for armv6
Summary: java/openjdk8: Patches for armv6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Some People
Assignee: Rui Paulo
URL:
Keywords:
Depends on: 201307
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-03 18:13 UTC by Mikael Urankar
Modified: 2015-09-29 14:58 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (java)


Attachments
patches for armv6 (9.20 KB, patch)
2015-07-03 18:13 UTC, Mikael Urankar
no flags Details | Diff
Final patch for current openjdk8, dropping patch-hotspot_src_share_vm_interpreter_interpreterRuntime.cpp (9.73 KB, patch)
2015-09-18 18:02 UTC, Sean Bruno
no flags Details | Diff
Makefile patch (1.31 KB, patch)
2015-09-25 15:24 UTC, Mikael Urankar
no flags Details | Diff
Final patch (10.34 KB, patch)
2015-09-26 10:43 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2015-07-03 18:13:04 UTC
Created attachment 158300 [details]
patches for armv6

Hi,

I have attached a patch for review.
I've merged some NetBSD patches.

build log:
http://mikael.urankar.free.fr/FreeBSD/arm/build_logs/openjdk8-8.45.14_1.log

Thanks.
Comment 1 Greg Lewis freebsd_committer 2015-07-04 18:01:50 UTC
This is great to see.  My main concern is whether we're able to merge these changes back into the repository.  How much of the work here is yours, how much from NetBSD and who did that?  We'd need everyone involved to have a signed copy of the OCA (http://www.oracle.com/technetwork/oca-405177.pdf) on record with Oracle before these can be merged back.
Comment 2 Mikael Urankar freebsd_committer 2015-07-04 18:17:59 UTC
I only put the FreeBSD parts in these 2 files (I think that only these 2 patches can be upstreamed):
files/patch-hotspot_src_os__cpu_bsd__zero_vm_atomic__bsd__zero.inline.hpp
files/patch-hotspot_src_os__cpu_bsd__zero_vm_orderAccess__bsd__zero.inline.hpp

The relevant NetBSD patches can be found here (author: tnn at netbsd):
http://cvsweb.netbsd.org/bsdweb.cgi/pkgsrc/lang/openjdk7/patches/patch-hotspot_src_os__cpu_bsd__zero_vm_atomic__bsd__zero.inline.hpp?rev=1.1
http://cvsweb.netbsd.org/bsdweb.cgi/pkgsrc/lang/openjdk7/patches/patch-hotspot_src_os__cpu_bsd__zero_vm_orderAccess__bsd__zero.inline.hpp?rev=1.1


This one is from NetBSD (author: joerg at netbsd), I'm not sure this one can be upstreamed:
files/patch-hotspot_src_os__cpu_bsd__zero_vm_os__bsd__zero.cpp
http://cvsweb.netbsd.org/bsdweb.cgi/pkgsrc/lang/openjdk7/patches/patch-hotspot_src_os__cpu_bsd__zero_vm_os__bsd__zero.cpp


This patch is from upstream:
files/patch-hotspot_src_share_vm_interpreter_interpreterRuntime.cpp
http://hg.openjdk.java.net/jdk9/jdk9/hotspot/rev/a733dad6fc1e
Comment 3 Sean Bruno freebsd_committer 2015-09-18 18:02:55 UTC
Created attachment 161175 [details]
Final patch for current openjdk8, dropping patch-hotspot_src_share_vm_interpreter_interpreterRuntime.cpp

Dropping patch-hotspot_src_share_vm_interpreter_interpreterRuntime.cpp as it has been incorporated upstream in patch-8u60-b23
Comment 4 Sean Bruno freebsd_committer 2015-09-21 14:25:28 UTC
If there are no objections, I'll commit this later today.
Comment 5 Greg Lewis freebsd_committer 2015-09-25 04:35:17 UTC
Minor comments.  They can be addressed after commit if you like.

BOOTSTRAP_JDKS should still be able to have ${LOCALBASE}/openjdk8 in it.  I.e., the JDK built by these patches should be able to be used as a bootstrap for itself.

You shouldn't need to set BOOTSTRAPJDKDIR explicitly.  The existing logic in the Makefile should sort it out correctly if BOOTSTRAP_JDKS is right.
Comment 6 Mikael Urankar freebsd_committer 2015-09-25 15:24:53 UTC
Created attachment 161382 [details]
Makefile patch

(In reply to Greg Lewis from comment #5)
BOOTSTRAPJDKDIR puts a dependency on openjdk7 if no valid java compiler is found on the system, but openjdk7 doesn't compile on armv6 using the ports infrastructure. So I need to define BOOTSTRAPJDKDIR=bootstrap-openjdk for armv6.

I've addressed your comments in the attached patch, there is only the relevant part, I will regenerate the full patch if you agree with my modification.
Comment 7 Greg Lewis freebsd_committer 2015-09-26 03:51:00 UTC
Looks good to me.
Comment 8 Mikael Urankar freebsd_committer 2015-09-26 10:43:40 UTC
Created attachment 161412 [details]
Final patch
Comment 9 Greg Lewis freebsd_committer 2015-09-27 16:48:04 UTC
Patch looks fine.  I test built it on amd64 as well and had no issues.

This looks good to commit.
Comment 10 commit-hook freebsd_committer 2015-09-29 14:55:08 UTC
A commit references this bug:

Author: glewis
Date: Tue Sep 29 14:54:58 UTC 2015
New revision: 398182
URL: https://svnweb.freebsd.org/changeset/ports/398182

Log:
  . Add support for armv6.

  PR:		201308
  Submitted by:	mikael.urankar@gmail.com
  Reviewed by:	sbruno

Changes:
  head/java/openjdk8/Makefile
  head/java/openjdk8/files/patch-hotspot_src_os__cpu_bsd__zero_vm_atomic__bsd__zero.inline.hpp
  head/java/openjdk8/files/patch-hotspot_src_os__cpu_bsd__zero_vm_orderAccess__bsd__zero.inline.hpp
  head/java/openjdk8/files/patch-hotspot_src_os__cpu_bsd__zero_vm_os__bsd__zero.cpp
Comment 11 Greg Lewis freebsd_committer 2015-09-29 14:58:13 UTC
Committed